@import "../utils/_variables";

.step-form {
    margin: 50px 20%;
    
    // &--header {
        
    // }
    // &--container {
        
    // }
    &--navbar {
        display: flex;
        justify-content: space-between;
    }
}

.dropzone {
    border: 2px dashed #000;
    border-radius: 5px;
    padding: 50px;
    text-align: center;
    background-color: #fff;
    cursor: pointer;
    width: 100%;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transition: all 0.3s ease-in-out;

    &:hover {
        background-color: #f4f4f4;  
    }

    &.small {
        height: 100px;

    }
    &.medium {
        height: 300px;
        p{
            font-size: 2rem;
        }
    }
    &.large {
        height: 400px;

    }

    &.dragover {
      background-color: #e0e0e0;
    }
    &.error {
        border-color: $color-danger;
    }
    .error--message {
        color: $color-danger;
        font-size: $font-size-sm;
        margin-top: $spacer-1;
    }
}

.success--header {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.list-data-import{
    .header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 10px;
        flex-wrap: wrap;
        padding: 1rem 2.5rem;
        font-weight: 700;

        .header-item{
            display: flex;
            justify-content: center;
            flex: 1;
            border-right: 1px solid #000;
            
            &:nth-last-child(1){
                border-right: none;
            }
        }
    }

    .row {
        background-color: $color-grey-light;
        margin-top: 5px;
        padding: 1rem 2.5rem;
        border-radius: $border-radius-sm;
        cursor: pointer;
        transition: all 0.3s ease-in-out;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .item {
            flex: 1;
            margin-right: 10px;
            text-align: center;
        }

        i {
            opacity: 0;
            transition: opacity 0.3s ease-in-out;
            position: absolute;
            right: 10px;
            top: 50%;
            transform: translateY(-50%);
            font-size: 20px;
        }
        &:hover {
            i {
                opacity: .5;

                &:hover {
                    opacity: 1;
                }
            }
        }


        &:hover {
            background-color: $color-danger;
            color: #fff;
        }
    }
}

.download--link {
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: $color-primary;
    color: $color-primary;

    &:hover {
        color: $color-primary-light;
        border-color: $color-primary-light;
    }
}